summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorNathan Egge (unlord) <nathanegge@yahoo.com>2007-08-23 02:16:00 +0000
committerNathan Egge (unlord) <nathanegge@yahoo.com>2007-08-23 02:16:00 +0000
commitb739319fb84f4f426e9d2ea9a5639b4c6e945dd1 (patch)
tree381532cf9b3883c83e76e78050109107771f96d1 /games-rpg
parentgames-rpg/simon1-demo: New ebuild for bug 142359 (diff)
downloadsunrise-b739319fb84f4f426e9d2ea9a5639b4c6e945dd1.tar.gz
sunrise-b739319fb84f4f426e9d2ea9a5639b4c6e945dd1.tar.bz2
sunrise-b739319fb84f4f426e9d2ea9a5639b4c6e945dd1.zip
games-rpg/simon2-demo: New ebuild for bug 142341
svn path=/sunrise/; revision=4484
Diffstat (limited to 'games-rpg')
-rw-r--r--games-rpg/simon2-demo/ChangeLog8
-rw-r--r--games-rpg/simon2-demo/Manifest5
-rw-r--r--games-rpg/simon2-demo/files/simon2-demo.pngbin0 -> 548 bytes
-rw-r--r--games-rpg/simon2-demo/metadata.xml5
-rw-r--r--games-rpg/simon2-demo/simon2-demo-1.ebuild34
5 files changed, 52 insertions, 0 deletions
diff --git a/games-rpg/simon2-demo/ChangeLog b/games-rpg/simon2-demo/ChangeLog
new file mode 100644
index 000000000..826f145f4
--- /dev/null
+++ b/games-rpg/simon2-demo/ChangeLog
@@ -0,0 +1,8 @@
+# ChangeLog for games-rpg/simon2-demo
+# Copyright 1999-2007 Gentoo Foundation; Distributed under the GPL v2
+# $Header: $
+
+ 23 Aug 2007; Nathan Egge (unlord) <nathanegge@yahoo.com>
+ +files/simon2-demo.png, +metadata.xml, +simon2-demo-1.ebuild:
+ New ebuild for bug 142341
+
diff --git a/games-rpg/simon2-demo/Manifest b/games-rpg/simon2-demo/Manifest
new file mode 100644
index 000000000..a06819062
--- /dev/null
+++ b/games-rpg/simon2-demo/Manifest
@@ -0,0 +1,5 @@
+AUX simon2-demo.png 548 RMD160 ad8c64ea37d2976e8d2e123a02e3894f55bea63a SHA1 89ce40561a456b1cbbd96642a0493805e36a4799 SHA256 2c7eb678afb33c685ead353862e7c6da0518146b8dcc54e8502f4c4305daf941
+DIST simon2demo.zip 15355900 RMD160 d1d99733774e46567124029438f61ca0a170bcaa SHA1 5ae43c97dc4a20975e65580922ff09206ec72dc4 SHA256 9e6846fb83adbb2dd8bb4ead987cf0d959c2e4d347ec0174bf95c86eb26e5603
+EBUILD simon2-demo-1.ebuild 840 RMD160 a99cd96734968710428c266d4a8e991c8ff7d03d SHA1 02f52f0f93fdf49d96c9da7980f4ddac75bf65c0 SHA256 1919d6438171542910bfe8449e01daa5efff226128ab33fda3ae78187d99a8e2
+MISC ChangeLog 274 RMD160 e40919b83972d23a30d7b36d77921afd2bcb3a33 SHA1 140f6123de7a04572feea48e0a44766764552acc SHA256 687bc6571f4ede74a07da5b2a745df5474e6b0c878a48a0d54963d2592ba6787
+MISC metadata.xml 170 RMD160 645927a396fdc21cdeb089fe42c5397332420ea6 SHA1 ac7f48a14fec325926f9ce1be8fbf1f311b4f2e4 SHA256 d797a2ec6f9dc516c9f9c1a758ee87ad3e8c43101b5dc76c2f872d5bd4639b42
diff --git a/games-rpg/simon2-demo/files/simon2-demo.png b/games-rpg/simon2-demo/files/simon2-demo.png
new file mode 100644
index 000000000..29a59a374
--- /dev/null
+++ b/games-rpg/simon2-demo/files/simon2-demo.png
Binary files differ
diff --git a/games-rpg/simon2-demo/metadata.xml b/games-rpg/simon2-demo/metadata.xml
new file mode 100644
index 000000000..7e3286984
--- /dev/null
+++ b/games-rpg/simon2-demo/metadata.xml
@@ -0,0 +1,5 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>maintainer-wanted</herd>
+</pkgmetadata>
diff --git a/games-rpg/simon2-demo/simon2-demo-1.ebuild b/games-rpg/simon2-demo/simon2-demo-1.ebuild
new file mode 100644
index 000000000..99f94ed57
--- /dev/null
+++ b/games-rpg/simon2-demo/simon2-demo-1.ebuild
@@ -0,0 +1,34 @@
+# Copyright 1999-2007 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+inherit games
+
+DESCRIPTION="Simon the Sorcerer (interactive demo)"
+HOMEPAGE="http://www.adventuresoft.com/gs2.html"
+SRC_URI="http://gentooexperimental.org/~unlord/simon2demo.zip"
+
+LICENSE="freedist"
+SLOT="0"
+KEYWORDS="~x86 ~amd64"
+IUSE=""
+RESTRICT="strip"
+
+RDEPEND=">=games-engines/scummvm-0.8.2"
+DEPEND="|| (
+ app-arch/unrar
+ app-arch/rar )"
+
+S=${WORKDIR}/simon2demo
+dir=${GAMES_DATADIR}/${PN}
+
+src_install() {
+ insinto "${dir}"
+ doins gsptr30 icon.dat simon2.gme simon2.voc stripped.txt tbllist || die "doins failed"
+
+ games_make_wrapper ${PN} "scummvm -f -p \"${dir}\" simon2"
+ doicon "${FILESDIR}/${PN}.png" || die "doicon failed"
+ make_desktop_entry ${PN} "Simon the Sorcerer 2 (Demo)" ${PN}.png
+
+ prepgamesdirs
+}